Multivariate Pattern Analysis in Python

# Man page for `pymvpa2`

## NAME

pymvpa2 - command line interface for PyMVPA

## SYNOPSIS

pymvpa2 [,-h/] [,--version/] [,--dbg/] [,--dbg-channel COMMON_DEBUG/] [,--preload PRELOAD/] [,--verbose /[,COMMON_VERBOSE/]] ,{info,mkds,mkevds,describe,dump,preproc,crossval,searchlight,select,atlaslabeler,exec,ofmotionqc,ttest} /...

## DESCRIPTION

This is the command line interface of the PyMVPA framework. Specific functionality is provided through a collection of sub-commands. Available sub-commands are:

info: Query various information about a PyMVPA installation.

mkds: Create a PyMVPA dataset from various sources.

mkevds: Extract (multi-sample) events from a dataset

describe: Describe a dataset's content

dump: Dump dataset components in various formats

preproc: Preprocess a PyMVPA dataset.

crossval: Cross-validation of a learner's performance

searchlight: Traveling ROI analysis

select: Select a subset of samples and/or features from a dataset

atlaslabeler: Query atlases for anatomical labels of voxel coordinates, or their

  statistics

exec: Execute arbitrary Python expressions (on datasets)

ofmotionqc: Generate a QC plot for BOLD fMRI motion estimates from an OpenFMRI

  dataset.

ttest: t-test across multiple volumes against some chance level

Detailed usage information for individual commands is available via command-specific help options, i.e.: bin/pymvpa2 <command> --help

## OPTIONS

-h, --help, --help-np
  show this help message and exit. --help-np forcefully disables the use of a pager for displaying the help.
--version
  show program's version and license information and exit
--dbg
  invoke a debugger when a crash occurs
--dbg-channel COMMON_DEBUG
  enable debug channel (see 'info' command for available channels)
--preload PRELOAD
  filename of a custom Python script that is executed prior to, and in the same session as the actual command. This can be used to modify the execution environment, for example creating a custom classifier instance. This option can be given multiple times, and the associated scripts are ran in order of their appearance on the command line.
--verbose [COMMON_VERBOSE]
  output verbosity level

## AUTHOR

Written by Michael Hanke & Yaroslav Halchenko, and numerous other contributors.

## COPYRIGHT

Copyright © 2006-2015 PyMVPA developers

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.